## qemu 1.0~rc4+dfsg

=== Makefile ===
# Makefile for QEMU.

# Always point to the root of the build tree (needs GNU make).
BUILD_DIR=$(CURDIR)

GENERATED_HEADERS = config-host.h trace.h qemu-options.def
ifeq ($(TRACE_BACKEND),dtrace)
GENERATED_HEADERS += trace-dtrace.h
endif
GENERATED_HEADERS += qmp-commands.h qapi-types.h qapi-visit.h
GENERATED_SOURCES += qmp-marshal.c qapi-types.c qapi-visit.c

ifneq ($(wildcard config-host.mak),)
# Put the all: rule here so that config-host.mak can contain dependencies.
all: build-all
include config-host.mak
include $(SRC_PATH)/rules.mak
config-host.mak: $(SRC_PATH)/configure
	@echo $@ is out-of-date, running configure
	@sed -n "/.*Configured with/s/[^:]*: //p" $@ | sh
else
config-host.mak:
	@echo "Please call configure before running make!"
	@exit 1
endif

# Don't try to regenerate Makefile or configure
# We don't generate any of them
Makefile: ;
configure: ;

.PHONY: all clean cscope distclean dvi html info install install-doc \
	pdf recurse-all speed tar tarbin test build-all

$(call set-vpath, $(SRC_PATH):$(SRC_PATH)/hw)

LIBS+=-lz $(LIBS_TOOLS)

ifdef BUILD_DOCS
DOCS=qemu-doc.html qemu-tech.html qemu.1 qemu-img.1 qemu-nbd.8 QMP/qmp-commands.txt
else
DOCS=
endif

SUBDIR_MAKEFLAGS=$(if $(V),,--no-print-directory) BUILD_DIR=$(BUILD_DIR)
SUBDIR_DEVICES_MAK=$(patsubst %, %/config-devices.mak, $(TARGET_DIRS))
SUBDIR_DEVICES_MAK_DEP=$(patsubst %, %/config-devices.mak.d, $(TARGET_DIRS))

config-all-devices.mak: $(SUBDIR_DEVICES_MAK)
	$(call quiet-command,cat $(SUBDIR_DEVICES_MAK) | grep =y | sort -u > $@,"  GEN   $@")

-include $(SUBDIR_DEVICES_MAK_DEP)

%/config-devices.mak: default-configs/%.mak
	$(call quiet-command,$(SHELL) $(SRC_PATH)/scripts/make_device_config.sh $@ $<, "  GEN   $@")
	@if test -f $@; then \
	  if cmp -s $@.old $@; then \
	    mv $@.tmp $@; \
	    cp -p $@ $@.old; \
	  else \
	    if test -f $@.old; then \
	      echo "WARNING: $@ (user modified) out of date.";\
	    else \
	      echo "WARNING: $@ out of date.";\
	    fi; \
	    echo "Run \"make defconfig\" to regenerate."; \
	    rm $@.tmp; \
	  fi; \
	 else \
	  mv $@.tmp $@; \
	  cp -p $@ $@.old; \
	 fi

defconfig:
	rm -f config-all-devices.mak $(SUBDIR_DEVICES_MAK)

-include config-all-devices.mak

build-all: $(DOCS) $(TOOLS) $(CHECKS) recurse-all

config-host.h: config-host.h-timestamp
config-host.h-timestamp: config-host.mak
qemu-options.def: $(SRC_PATH)/qemu-options.hx
	$(call quiet-command,sh $(SRC_PATH)/scripts/hxtool -h < $< > $@,"  GEN   $@")

SUBDIR_RULES=$(patsubst %,subdir-%, $(TARGET_DIRS))

subdir-%: $(GENERATED_HEADERS)
	$(call quiet-command,$(MAKE) $(SUBDIR_MAKEFLAGS) -C $* V="$(V)" TARGET_DIR="$*/" all,)

ifneq ($(wildcard config-host.mak),)
include $(SRC_PATH)/Makefile.objs
endif

$(common-obj-y): $(GENERATED_HEADERS)
subdir-libcacard: $(oslib-obj-y) $(trace-obj-y) qemu-timer-common.o

$(filter %-softmmu,$(SUBDIR_RULES)): $(trace-obj-y) $(common-obj-y) subdir-libdis

$(filter %-user,$(SUBDIR_RULES)): $(GENERATED_HEADERS) $(trace-obj-y) subdir-libdis-user subdir-libuser

ROMSUBDIR_RULES=$(patsubst %,romsubdir-%, $(ROMS))
romsubdir-%:
	$(call quiet-command,$(MAKE) $(SUBDIR_MAKEFLAGS) -C pc-bios/$* V="$(V)" TARGET_DIR="$*/",)

ALL_SUBDIRS=$(TARGET_DIRS) $(patsubst %,pc-bios/%, $(ROMS))

recurse-all: $(SUBDIR_RULES) $(ROMSUBDIR_RULES)

audio/audio.o audio/fmodaudio.o: QEMU_CFLAGS += $(FMOD_CFLAGS)

QEMU_CFLAGS+=$(CURL_CFLAGS)

QEMU_CFLAGS+=$(GLIB_CFLAGS)

ui/cocoa.o: ui/cocoa.m

ui/sdl.o audio/sdlaudio.o ui/sdl_zoom.o baum.o: QEMU_CFLAGS += $(SDL_CFLAGS)

ui/vnc.o: QEMU_CFLAGS += $(VNC_TLS_CFLAGS)

bt-host.o: QEMU_CFLAGS += $(BLUEZ_CFLAGS)

version.o: $(SRC_PATH)/version.rc config-host.h
	$(call quiet-command,$(WINDRES) -I. -o $@ $<,"  RC    $(TARGET_DIR)$@")

version-obj-$(CONFIG_WIN32) += version.o
######################################################################
# Support building shared library libcacard

.PHONY: libcacard.la install-libcacard
ifeq ($(LIBTOOL),)
libcacard.la:
	@echo "libtool is missing, please install and rerun configure"; exit 1

install-libcacard:
	@echo "libtool is missing, please install and rerun configure"; exit 1
else
libcacard.la: $(GENERATED_HEADERS) $(oslib-obj-y) qemu-timer-common.o $(addsuffix .lo, $(basename $(trace-obj-y)))
	$(call quiet-command,$(MAKE) $(SUBDIR_MAKEFLAGS) -C libcacard V="$(V)" TARGET_DIR="$*/" libcacard.la,)

install-libcacard: libcacard.la
	$(call quiet-command,$(MAKE) $(SUBDIR_MAKEFLAGS) -C libcacard V="$(V)" TARGET_DIR="$*/" install-libcacard,)
endif
######################################################################

qemu-img.o: qemu-img-cmds.h
qemu-img.o qemu-tool.o qemu-nbd.o qemu-io.o cmd.o qemu-ga.o: $(GENERATED_HEADERS)

tools-obj-y = qemu-tool.o $(oslib-obj-y) $(trace-obj-y) \
	qemu-timer-common.o cutils.o

qemu-img$(EXESUF): qemu-img.o $(tools-obj-y) $(block-obj-y)
qemu-nbd$(EXESUF): qemu-nbd.o $(tools-obj-y) $(block-obj-y)
qemu-io$(EXESUF): qemu-io.o cmd.o $(tools-obj-y) $(block-obj-y)

qemu-img-cmds.h: $(SRC_PATH)/qemu-img-cmds.hx
	$(call quiet-command,sh $(SRC_PATH)/scripts/hxtool -h < $< > $@,"  GEN   $@")

check-qint.o check-qstring.o check-qdict.o check-qlist.o check-qfloat.o check-qjson.o test-coroutine.o: $(GENERATED_HEADERS)

check-qint: check-qint.o qint.o $(tools-obj-y)
check-qstring: check-qstring.o qstring.o $(tools-obj-y)
check-qdict: check-qdict.o qdict.o qfloat.o qint.o qstring.o qbool.o qlist.o $(tools-obj-y)
check-qlist: check-qlist.o qlist.o qint.o $(tools-obj-y)
check-qfloat: check-qfloat.o qfloat.o $(tools-obj-y)
check-qjson: check-qjson.o $(qobject-obj-y) $(tools-obj-y)
test-coroutine: test-coroutine.o qemu-timer-common.o async.o $(coroutine-obj-y) $(tools-obj-y)

$(qapi-obj-y): $(GENERATED_HEADERS)
qapi-dir := qapi-generated
test-visitor.o test-qmp-commands.o qemu-ga$(EXESUF): QEMU_CFLAGS += -I $(qapi-dir)
qemu-ga$(EXESUF): LIBS = $(LIBS_QGA)

$(qapi-dir)/test-qapi-types.c $(qapi-dir)/test-qapi-types.h :\
$(SRC_PATH)/qapi-schema-test.json $(SRC_PATH)/scripts/qapi-types.py
	$(call quiet-command,$(PYTHON) $(SRC_PATH)/scripts/qapi-types.py -o "$(qapi-dir)" -p "test-" < $<, "  GEN   $@")
$(qapi-dir)/test-qapi-visit.c $(qapi-dir)/test-qapi-visit.h :\
$(SRC_PATH)/qapi-schema-test.json $(SRC_PATH)/scripts/qapi-visit.py
	$(call quiet-command,$(PYTHON) $(SRC_PATH)/scripts/qapi-visit.py -o "$(qapi-dir)" -p "test-" < $<, "  GEN   $@")
$(qapi-dir)/test-qmp-commands.h $(qapi-dir)/test-qmp-marshal.c :\
$(SRC_PATH)/qapi-schema-test.json $(SRC_PATH)/scripts/qapi-commands.py
	    $(call quiet-command,$(PYTHON) $(SRC_PATH)/scripts/qapi-commands.py -o "$(qapi-dir)" -p "test-" < $<, "  GEN   $@")

$(qapi-dir)/qga-qapi-types.c $(qapi-dir)/qga-qapi-types.h :\
$(SRC_PATH)/qapi-schema-guest.json $(SRC_PATH)/scripts/qapi-types.py
	$(call quiet-command,$(PYTHON) $(SRC_PATH)/scripts/qapi-types.py -o "$(qapi-dir)" -p "qga-" < $<, "  GEN   $@")
$(qapi-dir)/qga-qapi-visit.c $(qapi-dir)/qga-qapi-visit.h :\
$(SRC_PATH)/qapi-schema-guest.json $(SRC_PATH)/scripts/qapi-visit.py
	$(call quiet-command,$(PYTHON) $(SRC_PATH)/scripts/qapi-visit.py -o "$(qapi-dir)" -p "qga-" < $<, "  GEN   $@")
$(qapi-dir)/qga-qmp-commands.h $(qapi-dir)/qga-qmp-marshal.c :\
$(SRC_PATH)/qapi-schema-guest.json $(SRC_PATH)/scripts/qapi-commands.py
	$(call quiet-command,$(PYTHON) $(SRC_PATH)/scripts/qapi-commands.py -o "$(qapi-dir)" -p "qga-" < $<, "  GEN   $@")

qapi-types.c qapi-types.h :\
$(SRC_PATH)/qapi-schema.json $(SRC_PATH)/scripts/qapi-types.py
	$(call quiet-command,$(PYTHON) $(SRC_PATH)/scripts/qapi-types.py -o "." < $<, "  GEN   $@")
qapi-visit.c qapi-visit.h :\
$(SRC_PATH)/qapi-schema.json $(SRC_PATH)/scripts/qapi-visit.py
	$(call quiet-command,$(PYTHON) $(SRC_PATH)/scripts/qapi-visit.py -o "."  < $<, "  GEN   $@")
qmp-commands.h qmp-marshal.c :\
$(SRC_PATH)/qapi-schema.json $(SRC_PATH)/scripts/qapi-commands.py
	$(call quiet-command,$(PYTHON) $(SRC_PATH)/scripts/qapi-commands.py -m -o "." < $<, "  GEN   $@")

test-visitor.o: $(addprefix $(qapi-dir)/, test-qapi-types.c test-qapi-types.h test-qapi-visit.c test-qapi-visit.h) $(qapi-obj-y)
test-visitor: test-visitor.o $(qobject-obj-y) $(qapi-obj-y) $(tools-obj-y) $(qapi-dir)/test-qapi-visit.o $(qapi-dir)/test-qapi-types.o

test-qmp-commands.o: $(addprefix $(qapi-dir)/, test-qapi-types.c test-qapi-types.h test-qapi-visit.c test-qapi-visit.h test-qmp-marshal.c test-qmp-commands.h) $(qapi-obj-y)
test-qmp-commands: test-qmp-commands.o $(qobject-obj-y) $(qapi-obj-y) $(tools-obj-y) $(qapi-dir)/test-qapi-visit.o $(qapi-dir)/test-qapi-types.o $(qapi-dir)/test-qmp-marshal.o module.o

QGALIB_OBJ=$(addprefix $(qapi-dir)/, qga-qapi-types.o qga-qapi-visit.o qga-qmp-marshal.o)
QGALIB_GEN=$(addprefix $(qapi-dir)/, qga-qapi-types.h qga-qapi-visit.h qga-qmp-commands.h)
$(QGALIB_OBJ): $(QGALIB_GEN) $(GENERATED_HEADERS)
$(qga-obj-y) qemu-ga.o: $(QGALIB_GEN) $(GENERATED_HEADERS)

qemu-ga$(EXESUF): qemu-ga.o $(qga-obj-y) $(qapi-obj-y) $(tools-obj-y) $(qobject-obj-y) $(version-obj-y) $(QGALIB_OBJ)

QEMULIBS=libhw32 libhw64 libuser libdis libdis-user

clean:
# avoid old build problems by removing potentially incorrect old files
	rm -f config.mak op-i386.h opc-i386.h gen-op-i386.h op-arm.h opc-arm.h gen-op-arm.h
	rm -f qemu-options.def
	rm -f *.o *.d *.a *.lo $(TOOLS) $(CHECKS) qemu-ga TAGS cscope.* *.pod *~ */*~
	rm -Rf .libs
	rm -f slirp/*.o slirp/*.d audio/*.o audio/*.d block/*.o block/*.d net/*.o net/*.d fsdev/*.o fsdev/*.d ui/*.o ui/*.d qapi/*.o qapi/*.d qga/*.o qga/*.d
	rm -f qemu-img-cmds.h
	rm -f trace/*.o trace/*.d
	rm -f trace.c trace.h trace.c-timestamp trace.h-timestamp
	rm -f trace-dtrace.dtrace trace-dtrace.dtrace-timestamp
	rm -f trace-dtrace.h trace-dtrace.h-timestamp
	rm -f $(GENERATED_SOURCES)
	rm -rf $(qapi-dir)
	$(MAKE) -C tests clean
	for d in $(ALL_SUBDIRS) $(QEMULIBS) libcacard; do \
	if test -d $$d; then $(MAKE) -C $$d $@ || exit 1; fi; \
	rm -f $$d/qemu-options.def; \
        done

distclean: clean
	rm -f config-host.mak config-host.h* config-host.ld $(DOCS) qemu-options.texi qemu-img-cmds.texi qemu-monitor.texi
	rm -f config-all-devices.mak
	rm -f roms/seabios/config.mak roms/vgabios/config.mak
	rm -f qemu-doc.info qemu-doc.aux qemu-doc.cp qemu-doc.cps qemu-doc.dvi
	rm -f qemu-doc.fn qemu-doc.fns qemu-doc.info qemu-doc.ky qemu-doc.kys
	rm -f qemu-doc.log qemu-doc.pdf qemu-doc.pg qemu-doc.toc qemu-doc.tp
	rm -f qemu-doc.vr
	rm -f config.log
	rm -f qemu-tech.info qemu-tech.aux qemu-tech.cp qemu-tech.dvi qemu-tech.fn qemu-tech.info qemu-tech.ky qemu-tech.log qemu-tech.pdf qemu-tech.pg qemu-tech.toc qemu-tech.tp qemu-tech.vr
	for d in $(TARGET_DIRS) $(QEMULIBS); do \
	rm -rf $$d || exit 1 ; \
        done

KEYMAPS=da     en-gb  et  fr     fr-ch  is  lt  modifiers  no  pt-br  sv \
ar      de     en-us  fi  fr-be  hr     it  lv  nl         pl  ru     th \
common  de-ch  es     fo  fr-ca  hu     ja  mk  nl-be      pt  sl     tr

ifdef INSTALL_BLOBS
BLOBS=bios.bin sgabios.bin vgabios.bin vgabios-cirrus.bin \
vgabios-stdvga.bin vgabios-vmware.bin vgabios-qxl.bin \
ppc_rom.bin openbios-sparc32 openbios-sparc64 openbios-ppc \
pxe-e1000.rom pxe-eepro100.rom pxe-ne2k_pci.rom \
pxe-pcnet.rom pxe-rtl8139.rom pxe-virtio.rom \
bamboo.dtb petalogix-s3adsp1800.dtb petalogix-ml605.dtb \
mpc8544ds.dtb \
multiboot.bin linuxboot.bin \
s390-zipl.rom \
spapr-rtas.bin slof.bin \
palcode-clipper
else
BLOBS=
endif

install-doc: $(DOCS)
	$(INSTALL_DIR) "$(DESTDIR)$(docdir)"
	$(INSTALL_DATA) qemu-doc.html  qemu-tech.html "$(DESTDIR)$(docdir)"
ifdef CONFIG_POSIX
	$(INSTALL_DIR) "$(DESTDIR)$(mandir)/man1"
	$(INSTALL_DATA) qemu.1 qemu-img.1 "$(DESTDIR)$(mandir)/man1"
	$(INSTALL_DIR) "$(DESTDIR)$(mandir)/man8"
	$(INSTALL_DATA) qemu-nbd.8 "$(DESTDIR)$(mandir)/man8"
endif

install-sysconfig:
	$(INSTALL_DIR) "$(DESTDIR)$(sysconfdir)/qemu"
	$(INSTALL_DATA) $(SRC_PATH)/sysconfigs/target/target-x86_64.conf "$(DESTDIR)$(sysconfdir)/qemu"

install: all $(if $(BUILD_DOCS),install-doc) install-sysconfig
	$(INSTALL_DIR) "$(DESTDIR)$(bindir)"
ifneq ($(TOOLS),)
	$(INSTALL_PROG) $(STRIP_OPT) $(TOOLS) "$(DESTDIR)$(bindir)"
endif

=== debian/changelog ===
qemu (1.0~rc4+dfsg-1) experimental; urgency=low

  * New upstream version:
    - Fixes CVE-2011-4111.
  * remove patches applied upstream:
    - security/leftover.patch
    - Move_QEMU_INCLUDES_before_QEMU_CFLAGS
    - runnning-typo.patch
  * Install new qemu-system variants:
    xtensa, xtensaeb, alpha
  * debian/rules: Drop hack to rename "qemu" binary to "qemu-system-i386", as 
    upstream now does the same.
  * Enable spice support on amd64: 
    - Add Build-Depends: libspice-server-dev, libspice-protocol-dev
  * debian/rules: use dh_prep instead of "dh_clean -k", which is deprecated.
  * qemu-system: Bump dependency on seabios to 1.6.3~.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 28 Nov 2011 23:40:24 -0800

qemu (0.15.1+dfsg-1) UNRELEASED; urgency=low

  * New upstream version.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 12 Oct 2011 12:07:23 -0700

=== debian/control ===
Source: qemu
Section: misc
Priority: optional
Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
Uploaders: Aurelien Jarno <aurel32@debian.org>, Riku Voipio <riku.voipio@iki.fi>, Vagrant Cascadian <vagrant@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 5), nasm, device-tree-compiler,
 libx11-dev, libsdl1.2-dev (>> 1.2.1), libncurses5-dev, zlib1g-dev,
 texi2html, sharutils, libbrlapi-dev,
 libpulse-dev, libcurl4-gnutls-dev, libgnutls-dev, libsasl2-dev, uuid-dev,
 libvdeplug2-dev [linux-any], libasound2-dev [linux-any],
 libbluetooth-dev [linux-any], libattr1-dev, 
 librados-dev [amd64 i386], librbd-dev [amd64 i386],
 libgpmg1-dev [linux-any], linux-libc-dev (>= 2.6.34) [linux-any],
 libaio-dev [linux-any], xfslibs-dev [linux-any], texinfo,
 python,
 libspice-server-dev [amd64], libspice-protocol-dev [amd64]
Build-Conflicts: oss4-dev
Standards-Version: 3.9.2
Homepage: http://www.qemu.org/
Vcs-Browser: http://git.debian.org/?p=pkg-qemu/qemu.git
Vcs-Git: git://git.debian.org/git/pkg-qemu/qemu.git

Package: qemu
Architecture: amd64 arm armel armhf hppa i386 ia64 mips mipsel powerpc sparc sparc64 kfreebsd-i386 kfreebsd-amd64 ppc64
Depends: ${misc:Depends}, qemu-system (>= ${source:Version}), qemu-user (>= ${source:Version}) [linux-any], qemu-utils (>= ${source:Version})
Suggests: qemu-user-static [linux-any]
Description: fast processor emulator
 QEMU is a fast processor emulator: currently the package supports
 ARM, CRIS, i386, M68k (ColdFire), MicroBlaze, MIPS, PowerPC, SH4,
 SPARC and x86-64 emulation. By using dynamic translation it achieves
 reasonable speed while being easy to port on new host CPUs. QEMU has
 two operating modes:
 .
  * User mode emulation: QEMU can launch Linux processes compiled for
    one CPU on another CPU.
  * Full system emulation: QEMU emulates a full system, including a
    processor and various peripherals. It enables easier testing and
    debugging of system code. It can also be used to provide virtual
    hosting of several virtual machines on a single server.
 .
 As QEMU requires no host kernel patches to run, it is very safe and
 easy to use.
 .
 This package is a metapackage depending on all qemu-related packages.

Package: qemu-keymaps
Architecture: all
Depends: ${misc:Depends}
Breaks: qemu (<< 0.11.0-2), qemu-system (<< 0.12.4+dfsg-4)
Replaces: qemu (<< 0.11.0-2), qemu-system (<< 0.12.4+dfsg-4)
Description: QEMU keyboard maps
 QEMU is a fast processor emulator: currently the package supports
 ARM, CRIS, i386, M68k (ColdFire), MicroBlaze, MIPS, PowerPC, SH4,
 SPARC and x86-64 emulation. By using dynamic translation it achieves
 reasonable speed while being easy to port on new host CPUs.
 .
 This package provides keyboard maps to be used by the qemu-system
 package or QEMU derivatives.

Package: qemu-system
Architecture: amd64 arm armel armhf hppa i386 ia64 mips mipsel powerpc sparc sparc64 kfreebsd-i386 kfreebsd-amd64 ppc64
Depends: ${shlibs:Depends}, ${misc:Depends}, qemu-keymaps (>= ${source:Version}), vgabios (>= 0.6c-3), seabios (>= 1.6.3~), openbios-ppc (>= 1.0+svn1018), openbios-sparc (>= 1.0+svn1018), openhackware, ipxe
Recommends: vde2, qemu-utils
Breaks: qemu (<< 0.11.0-2)
Replaces: qemu (<< 0.11.0-2)
Suggests: samba
Description: QEMU full system emulation binaries
 QEMU is a fast processor emulator: currently the package supports
 ARM, CRIS, i386, M68k (ColdFire), MicroBlaze, MIPS, PowerPC, SH4,
 SPARC and x86-64 emulation. By using dynamic translation it achieves
 reasonable speed while being easy to port on new host CPUs.
 .
 This package provides the full system emulation binaries. In this mode
 QEMU emulates a full system, including a processor and various
 peripherals. It enables easier testing and debugging of system code.
 It can also be used to provide virtual hosting of several virtual
 machines on a single server.

Package: qemu-user
Architecture: amd64 arm armel armhf hppa i386 ia64 mips mipsel powerpc sparc sparc64 ppc64
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: qemu (<< 0.11.0-2)
Replaces: qemu (<< 0.11.0-2)
Suggests: sudo
Description: QEMU user mode emulation binaries
 QEMU is a fast processor emulator: currently the package supports
 ARM, CRIS, i386, M68k (ColdFire), MicroBlaze, MIPS, PowerPC, SH4,
 SPARC and x86-64 emulation. By using dynamic translation it achieves
 reasonable speed while being easy to port on new host CPUs.
 .
 This package provides the user mode emulation binaries. In this mode
 QEMU can launch Linux processes compiled for one CPU on another CPU.

Package: qemu-user-static
Architecture: amd64 arm armel armhf hppa i386 ia64 mips mipsel powerpc sparc sparc64 ppc64
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: binfmt-support
Suggests: sudo
Description: QEMU user mode emulation binaries (static version)
 QEMU is a fast processor emulator: currently the package supports
 ARM, CRIS, i386, M68k (ColdFire), MicroBlaze, MIPS, PowerPC, SH4,
 SPARC and x86-64 emulation. By using dynamic translation it achieves
 reasonable speed while being easy to port on new host CPUs.
 .
 This package provides the user mode emulation binaries, built
 statically. In this mode QEMU can launch Linux processes compiled for
 one CPU on another CPU.

Package: qemu-utils
Architecture: amd64 arm armel armhf hppa i386 ia64 mips mipsel powerpc sparc sparc64 kfreebsd-i386 kfreebsd-amd64 ppc64
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: debootstrap
Conflicts: kvm (= 85+dfsg-4.1)
Breaks: qemu (<< 0.11.0-2), qemu-user (<< 0.11.1-2)
Replaces: qemu (<< 0.11.0-2), qemu-user (<< 0.11.1-2)
Description: QEMU utilities
 QEMU is a fast processor emulator: currently the package supports
 ARM, CRIS, i386, M68k (ColdFire), MicroBlaze, MIPS, PowerPC, SH4,
 SPARC and x86-64 emulation. By using dynamic translation it achieves
 reasonable speed while being easy to port on new host CPUs.
 .
 This package provides QEMU related utilities:
  * qemu-img: QEMU disk image utility
  * qemu-io:  QEMU disk exerciser
  * qemu-nbd: QEMU disk network block device server

=== debian/rules ===
#!/usr/bin/make -f
#
# $Id: rules 391 2009-03-07 05:21:19Z aurel32 $
#

# Packaging version
DEB_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')

# Compiler flags
LDFLAGS = -Wl,--as-needed
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS = -O0
endif

# Support multiple makes at once
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NJOBS := -j $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

# Architecture/system specific configuration
DEB_HOST_ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_ARCH_CPU = $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)

ifeq ($(DEB_HOST_ARCH_OS),linux)
       conf_audio_drv += --audio-drv-list=alsa,oss,sdl,pa
endif
ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
       conf_audio_drv += --audio-drv-list=oss,sdl,pa
endif

# binfmt support
ALL_BINFMT_TARGETS=alpha arm armeb cris i386 m68k microblaze mips mipsel ppc ppc64 ppc64abi32 sh4 sh4eb sparc sparc32plus sparc64 x86_64
ifeq ($(DEB_HOST_ARCH),amd64)
BINFMT_TARGETS=$(filter-out i386 x86_64, $(ALL_BINFMT_TARGETS))
endif
ifneq (,$(findstring $(DEB_HOST_ARCH), arm armel armhf))
BINFMT_TARGETS=$(filter-out arm, $(ALL_BINFMT_TARGETS))
endif
ifeq ($(DEB_HOST_ARCH),i386)
# Drop support for emulating amd64 on i386, as it is broken and including it
# interferes with environments capable of running amd64 natively.
# http://bugs.debian.org/604712
BINFMT_TARGETS=$(filter-out i386 x86_64, $(ALL_BINFMT_TARGETS))
endif
ifeq ($(DEB_HOST_ARCH),mips)
BINFMT_TARGETS=$(filter-out mips, $(ALL_BINFMT_TARGETS))
endif
ifeq ($(DEB_HOST_ARCH),mipsel)
BINFMT_TARGETS=$(filter-out mipsel, $(ALL_BINFMT_TARGETS))
endif
ifeq ($(DEB_HOST_ARCH),powerpc)
BINFMT_TARGETS=$(filter-out ppc, $(ALL_BINFMT_TARGETS))
endif
ifeq ($(DEB_HOST_ARCH),ppc64)
BINFMT_TARGETS=$(filter-out ppc ppc64 ppc64abi32 , $(ALL_BINFMT_TARGETS))
endif
ifeq ($(DEB_HOST_ARCH),sparc)
BINFMT_TARGETS=$(filter-out sparc sparc32plus sparc64, $(ALL_BINFMT_TARGETS))
endif
ifeq ($(DEB_HOST_ARCH),sparc64)
BINFMT_TARGETS=$(filter-out sparc sparc32plus sparc64, $(ALL_BINFMT_TARGETS))
endif
ifeq ($(BINFMT_TARGETS),)
BINFMT_TARGETS=$(ALL_BINFMT_TARGETS)
endif

configure-stamp: configure
	dh_testdir

	# system build
	mkdir -p $(CURDIR)/system-build
	cd $(CURDIR)/system-build && \
		../configure \
			--with-pkgversion="Debian $(DEB_VERSION)" \
			--extra-cflags="$(CFLAGS)" \
			--extra-ldflags="$(LDFLAGS)" \
			--prefix=/usr \
			--sysconfdir=/etc \
			--disable-blobs \
			--disable-strip \
			--disable-linux-user \
			--disable-bsd-user \
			--disable-darwin-user \
			$(conf_arch) $(conf_audio_drv)

ifeq ($(DEB_HOST_ARCH_OS),linux)
	# user build
	mkdir -p $(CURDIR)/user-build
	cd $(CURDIR)/user-build && \
		../configure \
			--with-pkgversion="Debian $(DEB_VERSION)" \
			--extra-cflags="$(CFLAGS)" \
			--extra-ldflags="$(LDFLAGS)" \
			--prefix=/usr \
			--sysconfdir=/etc \
			--interp-prefix=/etc/qemu-binfmt/%M \
			--disable-blobs \
			--disable-strip \
			--disable-system \
			$(conf_arch)

	# static user build
	mkdir -p $(CURDIR)/user-static-build
	cd $(CURDIR)/user-static-build && \
		../configure \
			--with-pkgversion="Debian $(DEB_VERSION)" \
			--extra-cflags="$(CFLAGS)" \
			--extra-ldflags="$(LDFLAGS)" \
			--prefix=/usr \
			--sysconfdir=/etc \
			--interp-prefix=/etc/qemu-binfmt/%M \
			--disable-blobs \
			--disable-strip \
			--disable-system \
			--static \
			$(conf_arch)
endif
	touch $@

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir
	
	# system build
	$(MAKE) -C $(CURDIR)/system-build $(NJOBS)

ifeq ($(DEB_HOST_ARCH_OS),linux)
	# user build
	$(MAKE) -C $(CURDIR)/user-build $(NJOBS)

	# static user build
	$(MAKE) -C $(CURDIR)/user-static-build $(NJOBS)
endif
	touch $@

clean:
	dh_testdir
	dh_testroot
	
	rm -rf $(CURDIR)/*-build
	rm -f $(CURDIR)/*-stamp
	
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -a
	
	# system build
	$(MAKE) -C $(CURDIR)/system-build DESTDIR=$(CURDIR)/debian/tmp install

	for i in bamboo mpc8544ds ; do \
		dtc -o $(CURDIR)/debian/tmp/usr/share/qemu/$$i.dtb pc-bios/$$i.dts ; \
	done

ifeq ($(DEB_HOST_ARCH_OS),linux)
	# user build
	$(MAKE) -C $(CURDIR)/user-build DESTDIR=$(CURDIR)/debian/tmp install

	# static user build
	for target in $(CURDIR)/user-static-build/*-*-user/qemu-* ; do \
		install -m 755 $$target $(CURDIR)/debian/tmp/usr/bin/$$(basename $$target)-static ; \
	done

	# binfmt support
	sed -i -e 's/^BINFMT_TARGETS=.*/BINFMT_TARGETS=\"$(ALL_BINFMT_TARGETS)\"/g' \
		$(CURDIR)/debian/qemu-user-static.prerm \
		$(CURDIR)/debian/qemu-user-static.postinst

	for target in $(BINFMT_TARGETS) ; do \
		install -m 644 $(CURDIR)/debian/binfmts/qemu-$$target \
			$(CURDIR)/debian/qemu-user-static/usr/share/binfmts ; \
	done
endif

	# Install files in the various packages
	dh_install -s --list-missing

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_install -i
	dh_installdocs -i
	dh_installman -i
	dh_installchangelogs -i Changelog
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install -a
	dh_installdocs -a
	dh_installman -a
	dh_installudev -a
	dh_installchangelogs -a Changelog
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	chmod a+x $(CURDIR)/debian/qemu-system/etc/qemu-ifup
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

## qemu 1.0+dfsg

=== debian/changelog ===
qemu (1.0+dfsg-3) unstable; urgency=low

  [ Aurelien Jarno ]
  * Add a build-depends on libfdt-dev to enable some more emulated machines.
  * Really add binfmt support for s390x.

  [ Michael Tokarev ]
  * Depend on ipxe-qemu | ipxe (<< 1.0.0+git-20120202.f6840ba-2)
    after ipxe package split.  This will probably need to be changed
    to just ipxe-qemu once it will be landed properly.

  [ Vagrant Cascadian ]
  * Apply patch to use dpkg-buildflags (Closes: #656276). 
    Thanks to Moritz Muehlenhoff. 

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 06 Feb 2012 17:56:15 -0800

qemu (1.0+dfsg-2) unstable; urgency=low

  [ Aurelien Jarno ]
  * Add patch from upstream to fix cmpxchg on x86.
  * Add patch to not link user builds with NSS (Closes: #648202).
  * Add binfmt support for s390x.
  * Bump depends on openbios-ppc and openbios-sparc on versions 
    compatible with version 1.0.
  * Build on s390x (Closes: #651048).

  [ Vagrant Cascadian ]
  * qemu-make-debian-root: Fix argument processing to handle when both -s and 
    -k are specified. Thanks to Mats Erik Andersson (Closes: #638047).
  * Add Patch from upstream to fix regression on malta with i8259 interrupts.
  * qemu-debootstrap: Add support for armhf and s390x. 
  * debian/rules: remove config.log in the clean target. 
  * qemu-make-debian-root: Use debootstrap's minbase variant, instead of a 
    long list of excludes.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 09 Jan 2012 16:01:17 -0800

qemu (1.0+dfsg-1) experimental; urgency=low

  * New upstream version.
  * Add build-dep on libxen-dev to enable xen support. 
  * Add build-dep on libiscsi-dev to enable iscsi support.
  * Add patch from upstream to not block SIGCHLD (Closes: #618743).

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 30 Dec 2011 16:12:03 -0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
 Uploaders: Aurelien Jarno <aurel32@debian.org>, Riku Voipio <riku.voipio@iki.fi>, Vagrant Cascadian <vagrant@debian.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 5), nasm, device-tree-compiler,
+Build-Depends: debhelper (>= 5), nasm, device-tree-compiler, libfdt-dev,
  libx11-dev, libsdl1.2-dev (>> 1.2.1), libncurses5-dev, zlib1g-dev,
  texi2html, sharutils, libbrlapi-dev,
  libpulse-dev, libcurl4-gnutls-dev, libgnutls-dev, libsasl2-dev, uuid-dev,
@@ -14,7 +14,9 @@
  libgpmg1-dev [linux-any], linux-libc-dev (>= 2.6.34) [linux-any],
  libaio-dev [linux-any], xfslibs-dev [linux-any], texinfo,
  python,
- libspice-server-dev [amd64], libspice-protocol-dev [amd64]
+ libspice-server-dev [amd64], libspice-protocol-dev [amd64],
+ libxen-dev [amd64 i386],
+ libiscsi-dev
 Build-Conflicts: oss4-dev
 Standards-Version: 3.9.2
 Homepage: http://www.qemu.org/
@@ -22,7 +24,7 @@
 Vcs-Git: git://git.debian.org/git/pkg-qemu/qemu.git
 
 Package: qemu
-Architecture: amd64 arm armel armhf hppa i386 ia64 mips mipsel powerpc sparc sparc64 kfreebsd-i386 kfreebsd-amd64 ppc64
+Architecture: amd64 arm armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390x sparc sparc64
 Depends: ${misc:Depends}, qemu-system (>= ${source:Version}), qemu-user (>= ${source:Version}) [linux-any], qemu-utils (>= ${source:Version})
 Suggests: qemu-user-static [linux-any]
 Description: fast processor emulator
@@ -59,8 +61,8 @@
  package or QEMU derivatives.
 
 Package: qemu-system
-Architecture: amd64 arm armel armhf hppa i386 ia64 mips mipsel powerpc sparc sparc64 kfreebsd-i386 kfreebsd-amd64 ppc64
-Depends: ${shlibs:Depends}, ${misc:Depends}, qemu-keymaps (>= ${source:Version}), vgabios (>= 0.6c-3), seabios (>= 1.6.3~), openbios-ppc (>= 1.0+svn1018), openbios-sparc (>= 1.0+svn1018), openhackware, ipxe
+Architecture: amd64 arm armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390x sparc sparc64
+Depends: ${shlibs:Depends}, ${misc:Depends}, qemu-keymaps (>= ${source:Version}), vgabios (>= 0.6c-3), seabios (>= 1.6.3~), openbios-ppc (>= 1.0+svn1047), openbios-sparc (>= 1.0+svn1047), openhackware, ipxe-qemu | ipxe (<< 1.0.0+git-20120202.f6840ba-2)
 Recommends: vde2, qemu-utils
 Breaks: qemu (<< 0.11.0-2)
 Replaces: qemu (<< 0.11.0-2)
@@ -78,7 +80,7 @@
  machines on a single server.
 
 Package: qemu-user
-Architecture: amd64 arm armel armhf hppa i386 ia64 mips mipsel powerpc sparc sparc64 ppc64
+Architecture: amd64 arm armel armhf hppa i386 ia64 mips mipsel powerpc ppc64 s390x sparc sparc64
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: qemu (<< 0.11.0-2)
 Replaces: qemu (<< 0.11.0-2)
@@ -93,7 +95,7 @@
  QEMU can launch Linux processes compiled for one CPU on another CPU.
 
 Package: qemu-user-static
-Architecture: amd64 arm armel armhf hppa i386 ia64 mips mipsel powerpc sparc sparc64 ppc64
+Architecture: amd64 arm armel armhf hppa i386 ia64 mips mipsel powerpc ppc64 s390x sparc sparc64
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: binfmt-support
 Suggests: sudo
@@ -108,7 +110,7 @@
  one CPU on another CPU.
 
 Package: qemu-utils
-Architecture: amd64 arm armel armhf hppa i386 ia64 mips mipsel powerpc sparc sparc64 kfreebsd-i386 kfreebsd-amd64 ppc64
+Architecture: amd64 arm armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390x sparc sparc64
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: debootstrap
 Conflicts: kvm (= 85+dfsg-4.1)

=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,10 @@
 DEB_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
 
 # Compiler flags
-LDFLAGS = -Wl,--as-needed
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS = -O0
-endif
+CFLAGS = `dpkg-buildflags --get CFLAGS`
+LDFLAGS = `dpkg-buildflags --get LDFLAGS`
+LDFLAGS += -Wl,--as-needed
+CFLAGS += `dpkg-buildflags --get CPPFLAGS`
 
 # Support multiple makes at once
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -30,7 +30,7 @@
 endif
 
 # binfmt support
-ALL_BINFMT_TARGETS=alpha arm armeb cris i386 m68k microblaze mips mipsel ppc ppc64 ppc64abi32 sh4 sh4eb sparc sparc32plus sparc64 x86_64
+ALL_BINFMT_TARGETS=alpha arm armeb cris i386 m68k microblaze mips mipsel ppc ppc64 ppc64abi32 s390x sh4 sh4eb sparc sparc32plus sparc64 x86_64
 ifeq ($(DEB_HOST_ARCH),amd64)
 BINFMT_TARGETS=$(filter-out i386 x86_64, $(ALL_BINFMT_TARGETS))
 endif
@@ -54,6 +54,9 @@
 endif
 ifeq ($(DEB_HOST_ARCH),ppc64)
 BINFMT_TARGETS=$(filter-out ppc ppc64 ppc64abi32 , $(ALL_BINFMT_TARGETS))
+endif
+ifeq ($(DEB_HOST_ARCH),s390x)
+BINFMT_TARGETS=$(filter-out s390x, $(ALL_BINFMT_TARGETS))
 endif
 ifeq ($(DEB_HOST_ARCH),sparc)
 BINFMT_TARGETS=$(filter-out sparc sparc32plus sparc64, $(ALL_BINFMT_TARGETS))
@@ -142,6 +145,7 @@
 	
 	rm -rf $(CURDIR)/*-build
 	rm -f $(CURDIR)/*-stamp
+	rm -f config.log
 	
 	dh_clean

## qemu 1.0.1+dfsg

=== debian/changelog ===
qemu (1.0.1+dfsg-1) unstable; urgency=low

  [ Aurelien Jarno ]
  * New upstream stable version:
    - remove debian/patches/fix-malta-i8259
    - remove debian/patches/qemu-ifunc-ppc.patch
    - remove debian/patches/x86-fix-cmpxchg.patch

  [ Michael Tokarev ]
  * apply patch to change backticks `` in debian/rules variables
    to $(shell) construct, by Allard Hoeve.  (Closes: #660133)
  * depend on vgabios >= 0.6c-3~ not 0.6c-3, to assist backporting

  [ Hector Oron ]
  * Fix prctl syscall (Closes: #656926, #651083). 

  [ Vagrant Cascadian ]
  * Update to Standards-Version 3.9.3, no changes necessary.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 05 Mar 2012 13:05:14 -0800

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  libxen-dev [amd64 i386],
  libiscsi-dev
 Build-Conflicts: oss4-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.qemu.org/
 Vcs-Browser: http://git.debian.org/?p=pkg-qemu/qemu.git
 Vcs-Git: git://git.debian.org/git/pkg-qemu/qemu.git
@@ -62,7 +62,7 @@
 
 Package: qemu-system
 Architecture: amd64 arm armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390x sparc sparc64
-Depends: ${shlibs:Depends}, ${misc:Depends}, qemu-keymaps (>= ${source:Version}), vgabios (>= 0.6c-3), seabios (>= 1.6.3~), openbios-ppc (>= 1.0+svn1047), openbios-sparc (>= 1.0+svn1047), openhackware, ipxe-qemu | ipxe (<< 1.0.0+git-20120202.f6840ba-2)
+Depends: ${shlibs:Depends}, ${misc:Depends}, qemu-keymaps (>= ${source:Version}), vgabios (>= 0.6c-3~), seabios (>= 1.6.3~), openbios-ppc (>= 1.0+svn1047), openbios-sparc (>= 1.0+svn1047), openhackware, ipxe-qemu | ipxe (<< 1.0.0+git-20120202.f6840ba-2)
 Recommends: vde2, qemu-utils
 Breaks: qemu (<< 0.11.0-2)
 Replaces: qemu (<< 0.11.0-2)

=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,10 @@
 DEB_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
 
 # Compiler flags
-CFLAGS = `dpkg-buildflags --get CFLAGS`
-LDFLAGS = `dpkg-buildflags --get LDFLAGS`
+CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
+LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
 LDFLAGS += -Wl,--as-needed
-CFLAGS += `dpkg-buildflags --get CPPFLAGS`
+CFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)
 
 # Support multiple makes at once
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))

## qemu 1.1.2+dfsg

=== debian/changelog ===
qemu (1.1.2+dfsg-2~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports:
    disable fdt and usbredir support for squeeze

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 21 Oct 2012 17:33:28 +0400

qemu (1.1.2+dfsg-2) unstable; urgency=low

  * remove debian/patches/fix-armhf-prctl.patch, it is included
    upstream in 1.1.0 version and is misapplied since 1.1.0~rc3+dfsg-1.
  * drop -jN passing to downstream makes, as it breaks dpkg-buildpackage -j
    and actually breaks build (Closes: #597524 - said to be fixed in 0.14.1
    but was still present)
  * add revert-serial-fix-retry-logic.patch that restores
    old (semi-)working behavour of a virtual serial port.

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 19 Sep 2012 13:54:05 +0400

qemu (1.1.2+dfsg-1) unstable; urgency=low

  [Michael  Tokarev]
  * new upstream stable/bugfix release, fixing a LOT of bugs,
    including CVE-2012-3515 (Closes: #686973, #681985)
  * bump versioned depends of seabios to 1.7.0~, since this version ships
    kvmvapic.bin.
  * ship /usr/share/qemu/qemu-icon.bmp (Closes: #681317)
  * do not build-depend on ceph (librbd-dev librados-dev), since ceph is
    having longstanding issues in wheezy.
  * add tcg_s390-fix-ld_st-with-CONFIG_TCG_PASS_AREG0.patch - upstream fix
    to un-break s390[x] emulation code.  Similar fixes were included for
    other platforms in 1.1.2 changeset.  Without this fix, qemu is basically
    useless on s390.
  * document -netdev option in the manpage, a long-standing omission
    (net-add--netdev-options-to-man-page.patch)

  [Vagrant Cascadian]
  * qemu-system: Add symlinks for extboot.bin, kvmvapic.bin and vapic.bin to 
    binaries shipped in seabios. Closes: #678217, #678217.
  * qemu-system: Remove dead link for ne2k_isa.rom, which is not included in 
    ipxe. Closes: #678217. 
  * qemu-system: Bump versioned openbios-sparc and openbios-ppc Depends to 
    1.0+svn1060, to ensure we use at least version which is used by upstream.
    Wheezy already has the right version, but we should not break partial
    upgrades.

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 09 Sep 2012 18:52:57 +0400

qemu (1.1.0+dfsg-1) unstable; urgency=low

  [ Vagrant Cascadian ]
  * New upstream release. (Closes: #655604, #655145)

  [ Michael Tokarev ]
  * do-not-include-libutil.h.patch - don't include libutil.h&Co when not
    needed.  Fixes FTBFS on kFreebsd with recent libbsd-dev.
  * drop libbsd-dev support on kFreebsd - no longer needed.
  * do not build USB host support on kFreebsd (qemu uses obsolete,
    now removed, USB API).  Use the same hack/technique as FreeBSD
    qemu port does -- changing HOST_USB to "stub" after configure run.

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 07 Jun 2012 13:44:26 -0700

qemu (1.1.0~rc3+dfsg-1) experimental; urgency=low

  * New upstream release candidate.
  * debian/patches:
    - Update 02_kfreebsd.
    - Remove dont-block-sigchld, applied upstream.
    - Update configure-nss-usbredir.
    - Update fix-armhf-prctl.
  * debian/rules: Remove --disable-darwin-user from configure, as it is no 
    longer present.
  * Apply patch to qemu-make-debian-root to improve argument handling.
    (Closes: #671723). Thanks to Askar Safin.
  * qemu-utils: Add recommends on sharutils, used by qemu-make-debian-root
    (Closes: #660296).
  * Add Build-Depends on libusbredirparser-dev to support usbredir protocol.
  * Add Build-Depends on libbsd-dev for kfreebsd.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 30 May 2012 20:24:59 -0700

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,12 @@
 Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
 Uploaders: Aurelien Jarno <aurel32@debian.org>, Riku Voipio <riku.voipio@iki.fi>, Vagrant Cascadian <vagrant@debian.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 5), nasm, device-tree-compiler, libfdt-dev,
+Build-Depends: debhelper (>= 5), nasm, device-tree-compiler,
  libx11-dev, libsdl1.2-dev (>> 1.2.1), libncurses5-dev, zlib1g-dev,
  texi2html, sharutils, libbrlapi-dev,
  libpulse-dev, libcurl4-gnutls-dev, libgnutls-dev, libsasl2-dev, uuid-dev,
  libvdeplug2-dev [linux-any], libasound2-dev [linux-any],
  libbluetooth-dev [linux-any], libattr1-dev, 
- librados-dev [amd64 i386], librbd-dev [amd64 i386],
  libgpmg1-dev [linux-any], linux-libc-dev (>= 2.6.34) [linux-any],
  libaio-dev [linux-any], xfslibs-dev [linux-any], texinfo,
  python,
@@ -62,7 +61,7 @@
 
 Package: qemu-system
 Architecture: amd64 arm armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390x sparc sparc64
-Depends: ${shlibs:Depends}, ${misc:Depends}, qemu-keymaps (>= ${source:Version}), vgabios (>= 0.6c-3~), seabios (>= 1.6.3~), openbios-ppc (>= 1.0+svn1047), openbios-sparc (>= 1.0+svn1047), openhackware, ipxe-qemu | ipxe (<< 1.0.0+git-20120202.f6840ba-2)
+Depends: ${shlibs:Depends}, ${misc:Depends}, qemu-keymaps (>= ${source:Version}), vgabios (>= 0.6c-3~), seabios (>= 1.7.0~), openbios-ppc (>= 1.0+svn1060), openbios-sparc (>= 1.0+svn1060), openhackware, ipxe-qemu | ipxe (<< 1.0.0+git-20120202.f6840ba-2)
 Recommends: vde2, qemu-utils
 Breaks: qemu (<< 0.11.0-2)
 Replaces: qemu (<< 0.11.0-2)
@@ -112,6 +111,7 @@
 Package: qemu-utils
 Architecture: amd64 arm armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390x sparc sparc64
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: sharutils
 Suggests: debootstrap
 Conflicts: kvm (= 85+dfsg-4.1)
 Breaks: qemu (<< 0.11.0-2), qemu-user (<< 0.11.1-2)

=== debian/rules ===
--- 
+++ 
@@ -11,11 +11,6 @@
 LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
 LDFLAGS += -Wl,--as-needed
 CFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)
-
-# Support multiple makes at once
-ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-NJOBS := -j $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-endif
 
 # Architecture/system specific configuration
 DEB_HOST_ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)
@@ -84,8 +79,16 @@
 			--disable-strip \
 			--disable-linux-user \
 			--disable-bsd-user \
-			--disable-darwin-user \
 			$(conf_arch) $(conf_audio_drv)
+
+ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
+# Hack alert.
+# On recent kFreebsd, old USB host API has been removed,
+# but qemu did not learn to use new USB API.
+# Just do not build USB host support.
+	sed -i 's/^HOST_USB=bsd/HOST_USB=stub/' \
+		$(CURDIR)/system-build/config-host.mak
+endif
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 	# user build
@@ -128,14 +131,14 @@
 	dh_testdir
 	
 	# system build
-	$(MAKE) -C $(CURDIR)/system-build $(NJOBS)
+	$(MAKE) -C $(CURDIR)/system-build
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 	# user build
-	$(MAKE) -C $(CURDIR)/user-build $(NJOBS)
+	$(MAKE) -C $(CURDIR)/user-build
 
 	# static user build
-	$(MAKE) -C $(CURDIR)/user-static-build $(NJOBS)
+	$(MAKE) -C $(CURDIR)/user-static-build
 endif
 	touch $@

=== debian/watch ===
version=3

opts=dversionmangle=s/\+dfsg.*$//g,uversionmangle=s/-rc/~rc/g \
  http://qemu.org/download .*/qemu-(.*).tar.gz
